# coding=utf-8
'''

TSCODE: Transition State Conformational Docker
Copyright (C) 2021-2024 Nicolò Tampellini

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

'''
from periodictable import core, covalent_radius, mass

for pt_n in range(5):
    try:
        pt = core.PeriodicTable(table=f"H={pt_n+1}")
        covalent_radius.init(pt)
        mass.init(pt)
    except ValueError:
        continue
    break